// ========================================================
//
// CBP_2403_R_Simple_Motor_Drive
// CBP 15-09-21 
// Status Release
//
// ========================================================

#include <stdio.h>
#include <Servo.h>

// Define pins ---------------
#define ServoL_pin 13
#define ServoR_pin 12

// Define constants ----------
#define DEBUG true
#define wheelDiam 66.0
#define wheelRad (wheelDiam/2.0)
#define axleLen 104.0

// Global variables ----------
Servo servoL;
Servo servoR; 
float driveL, driveR;

void setup() {
  int desiredTime;
  Serial.begin(9600);
  cprintf(">>> Initializing stuff ..................\n");
  servoL.attach(ServoL_pin);
  servoR.attach(ServoR_pin);
  // Stop any servo movement
  driveServos(0.0,0.0);  
  
  cprintf(">>> Pausing 2 secs ......................\n");
  delay(2000);
  cprintf(">>> Starting  ...........................\n");

  // Set values for driveL and driveR (uncomment) ------
  //driveL = 
  //driveR = 

  // Write line to drive the servos --------------------


  // Write line to delay for 2000 millisecs ------------


  // Additional code here to get the motors to stop ----


}

void loop() {

}

void driveServos(float _driveL, float _driveR) {
  servoL.writeMicroseconds(1500 + (int)_driveL);
  servoR.writeMicroseconds(1500 - (int)_driveR);
}
